Subject: bug#75559: gnupg update to 2.4.7 causing guix build -K seahorse to fail

From: Leo Famulari <[email-masked]>
Date: Wed, 15 Jan 2025 14:05:09 -0500

On Wed, Jan 15, 2025 at 02:10:41AM +0100, Rostislav Svoboda wrote:
> Thanks Leo. In theory, the fix should be straightforward (see
> attachment). However, we need to be careful:
> 
> $ guix search ^seahorse\$ | grep synopsis
> synopsis: Manage encryption keys and passwords in the GNOME keyring

Can you check if the new version of Seahorse provided by your patch
works on your GNOME system?  Sometimes GNOME software is very tightly
coupled, sometimes it might work to update things like this.

And if it doesn't work, we can try just relaxing the version
constraints. There are no relevant code changes in Seahorse before they relaxed
the GnuPG version constraint. They simply released version 43.0,
aupdated some translations, adjusted some variable names related to SSH,
and then allowed GnuPG 2.4.*:

------
$ git log 43.0..9260c747 --oneline
9260c747 Allow building with GnuPG-2.4.x
8e43721e Update Russian translation
3c33ab1f Update Belarusian translation
6170a9bc Add Interlingue translation
d12f2330 Update Dutch translation
6d673637 ssh: avoid stdout and stderr variable names
------

There's actually very few code changes between Seahorse 43 and 47,
overall.